/*
* This file is part of the acnchess package
* Copyright (C) <2008>  <Alf>
*
* Contact: Alf <naihe2010@126.com>
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*
*/
/* @CFILE accui.h
*
*  Author: Alf <naihe2010@126.com>
*/
/* @date Created: 2009/07/30 09:11:49 Alf*/

#ifndef _ACC_UI_H_
#define _ACC_UI_H_

#include "accxq.h"
#include "accus.h"
#include "accset.h"

#include <gtk/gtk.h>

typedef struct
{
  GtkWidget *rootwindow;

  GtkWidget *toolbar;
  GtkWidget *layout;
  GtkWidget *status;

  GtkWidget *current;
  GtkWidget *mlayout;
  GtkWidget *ulayout;
  GtkWidget *slayout;

  accxq_t *xq;
  accus_t *us;
  accset_t *set;
} accui_t;

accui_t *accui_new (int *, char ***);

void accui_run (accui_t *);

extern accui_t *g_ui;

#endif
