/*
* This file is part of the acnchess package
* Copyright (C) <2010>  <Alf>
*
* Contact: Alf <naihe2010@126.com>
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*
*/
/* @CFILE iccs.c
*
*  Author: Alf <naihe2010@126.com>
*/
/* @date Created: 2011/07/14 12:03:04 Alf*/

#include "iccs.h"

int
iccs_to_move (const char *iccs, struct xq_move *move)
{
  move->fromx = *iccs ++ - 'a';
  move->fromy = 9 - (*iccs ++ - '0');
  move->tox = *iccs ++ - 'a';
  move->toy = 9 - (*iccs - '0');
  return 0;
}

int
iccs_from_move (char *iccs, struct xq_move *move)
{
  *iccs ++ = move->fromx + 'a';
  *iccs ++ = '0' + (9 - move->fromy);
  *iccs ++ = move->tox + 'a';
  *iccs = '0' + (9 - move->toy);
  return 0;
}
