/*
* This file is part of the acnchess package
* Copyright (C) <2008>  <Alf>
*
* Contact: Alf <naihe2010@126.com>
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*
*/
/* @CFILE accecco.h
*
*  Author: Alf <naihe2010@126.com>
*/
/* @date Created: 2011/05/18 13:40:44 Alf*/

#ifndef _ACC_ECCO_H_
#define _ACC_ECCO_H_

/*
 * functions in ecco.so
 * */
const char * (*EccoVersion) (void);

void (*EccoInitOpenVar) (int bTrad);

long (*EccoIndex) (const char *szMoveFile);

const char * (*EccoOpening) (long dwEccoIndex);

const char * (*EccoVariation) (long dwEccoIndex);

/*
 * init and destroy functions
 * */
int ecco_init ();

void ecco_destroy ();

#endif
